Utility functions(3)

NAME
Utility functions -

  Functions
const char * slv2_uri_to_path (const char *uri)

Function Documentation

  const char* slv2_uri_to_path (const char * uri)

Convert a full URI (eg file://foo/bar/baz.ttl) to a local path (e.g.

/foo/bar/baz.ttl).

Return value is shared and must not be deleted by caller.

Returns:
    uri converted to a path, or NULL on failure (URI is not local).